Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 4645)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 4646)
@@ -1354,113 +1282,91 @@
 !
 !--          Resolved fluxes (can be computed for all horizontal points)
-!--          NOTE: for simplicity, nzb_s_inner is used below, although strictly
-!--          ----  speaking the following k-loop would have to be split up and
-!--                rearranged according to the staggered grid.
+!--          NOTE: for simplicity, nzb_s_inner is used below, although strictly speaking the
+!--          ----  following k-loop would have to be split up and rearranged according to the
+!--                staggered grid.
              DO  k = nzb, nzt
                 flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 22 ) )
-                ust = 0.5_wp * ( u(k,j,i)   - hom(k,1,1,sr) +                  &
+                ust = 0.5_wp * ( u(k,j,i)   - hom(k,1,1,sr) +                                      &
                                  u(k+1,j,i) - hom(k+1,1,1,sr) )
-                vst = 0.5_wp * ( v(k,j,i)   - hom(k,1,2,sr) +                  &
+                vst = 0.5_wp * ( v(k,j,i)   - hom(k,1,2,sr) +                                      &
                                  v(k+1,j,i) - hom(k+1,1,2,sr) )
-                pts = 0.5_wp * ( pt(k,j,i)   - hom(k,1,4,sr) +                 &
+                pts = 0.5_wp * ( pt(k,j,i)   - hom(k,1,4,sr) +                                     &
                                  pt(k+1,j,i) - hom(k+1,1,4,sr) )
-
+!
 !--             Higher moments
                 !$ACC ATOMIC
-                sums_l(k,35,tn) = sums_l(k,35,tn) + pts * w(k,j,i)**2 *        &
-                                                    rmask(j,i,sr) * flag
-                !$ACC ATOMIC
-                sums_l(k,36,tn) = sums_l(k,36,tn) + pts**2 * w(k,j,i) *        &
-                                                    rmask(j,i,sr) * flag
-
-!
-!--             Salinity flux and density (density does not belong to here,
-!--             but so far there is no other suitable place to calculate)
+                sums_l(k,35,tn) = sums_l(k,35,tn) + pts * w(k,j,i)**2 * rmask(j,i,sr) * flag
+                !$ACC ATOMIC
+                sums_l(k,36,tn) = sums_l(k,36,tn) + pts**2 * w(k,j,i) * rmask(j,i,sr) * flag
+
+!
+!--             Salinity flux and density (density does not belong to here, but so far there is no
+!--             other suitable place to calculate)
 #ifndef _OPENACC
                 IF ( ocean_mode )  THEN
                    IF( .NOT. ws_scheme_sca .OR. sr /= 0 )  THEN
-                      pts = 0.5_wp * ( sa(k,j,i)   - hom(k,1,23,sr) +          &
+                      pts = 0.5_wp * ( sa(k,j,i)   - hom(k,1,23,sr) +                              &
                                        sa(k+1,j,i) - hom(k+1,1,23,sr) )
-                      sums_l(k,66,tn) = sums_l(k,66,tn) + pts * w(k,j,i) *     &
+                      sums_l(k,66,tn) = sums_l(k,66,tn) + pts * w(k,j,i) *                         &
                                         rmask(j,i,sr) * flag
                    ENDIF
-                   sums_l(k,64,tn) = sums_l(k,64,tn) + rho_ocean(k,j,i) *      &
-                                                       rmask(j,i,sr) * flag
-                   sums_l(k,71,tn) = sums_l(k,71,tn) + prho(k,j,i) *           &
-                                                       rmask(j,i,sr) * flag
-                ENDIF
-
-!
-!--             Buoyancy flux, water flux, humidity flux, liquid water
-!--             content, rain drop concentration and rain water content
+                   sums_l(k,64,tn) = sums_l(k,64,tn) + rho_ocean(k,j,i) * rmask(j,i,sr) * flag
+                   sums_l(k,71,tn) = sums_l(k,71,tn) + prho(k,j,i)      * rmask(j,i,sr) * flag
+                ENDIF
+
+!
+!--             Buoyancy flux, water flux, humidity flux, liquid water content, rain drop
+!--             concentration and rain water content
                 IF ( humidity )  THEN
-                   IF ( bulk_cloud_model .OR. cloud_droplets )  THEN
-                      pts = 0.5_wp * ( vpt(k,j,i)   - hom(k,1,44,sr) +         &
-                                    vpt(k+1,j,i) - hom(k+1,1,44,sr) )
-                      sums_l(k,46,tn) = sums_l(k,46,tn) + pts * w(k,j,i) *     &
-                                               rho_air_zw(k) *                 &
-                                               heatflux_output_conversion(k) * &
+                   IF ( bulk_cloud_model  .OR.  cloud_droplets )  THEN
+                      pts = 0.5_wp * ( vpt(k,j,i)   - hom(k,1,44,sr) +                             &
+                                       vpt(k+1,j,i) - hom(k+1,1,44,sr) )
+                      sums_l(k,46,tn) = sums_l(k,46,tn) + pts * w(k,j,i) *                         &
+                                                          rho_air_zw(k) *                          &
+                                                          heatflux_output_conversion(k) *          &
                                                           rmask(j,i,sr) * flag
-                      sums_l(k,54,tn) = sums_l(k,54,tn) + ql(k,j,i) * rmask(j,i,sr) &
-                                                                    * flag
+                      sums_l(k,54,tn) = sums_l(k,54,tn) + ql(k,j,i) * rmask(j,i,sr) * flag
 
                       IF ( .NOT. cloud_droplets )  THEN
-                         pts = 0.5_wp *                                        &
-                              ( ( q(k,j,i) - ql(k,j,i) ) -                     &
-                              hom(k,1,42,sr) +                                 &
-                              ( q(k+1,j,i) - ql(k+1,j,i) ) -                   &
-                              hom(k+1,1,42,sr) )
-                         sums_l(k,52,tn) = sums_l(k,52,tn) + pts * w(k,j,i) *  &
-                                             rho_air_zw(k) *                   &
-                                             waterflux_output_conversion(k) *  &
-                                                             rmask(j,i,sr)  *  &
-                                                             flag
-                         sums_l(k,75,tn) = sums_l(k,75,tn) + qc(k,j,i) *       &
-                                                             rmask(j,i,sr) *   &
-                                                             flag
-                         sums_l(k,76,tn) = sums_l(k,76,tn) + prr(k,j,i) *      &
-                                                             rmask(j,i,sr) *   &
-                                                             flag
+                         pts = 0.5_wp *                                                            &
+                               ( ( q(k,j,i) - ql(k,j,i) ) -                                        &
+                               hom(k,1,42,sr) +                                                    &
+                               ( q(k+1,j,i) - ql(k+1,j,i) ) -                                      &
+                               hom(k+1,1,42,sr) )
+                         sums_l(k,52,tn) = sums_l(k,52,tn) + pts * w(k,j,i) *                      &
+                                             rho_air_zw(k) *                                       &
+                                             waterflux_output_conversion(k) *                      &
+                                             rmask(j,i,sr) * flag
+                         sums_l(k,75,tn) = sums_l(k,75,tn) + qc(k,j,i)  * rmask(j,i,sr) * flag
+                         sums_l(k,76,tn) = sums_l(k,76,tn) + prr(k,j,i) * rmask(j,i,sr) * flag
                          IF ( microphysics_morrison )  THEN
-                            sums_l(k,123,tn) = sums_l(k,123,tn) + nc(k,j,i) *  &
-                                                                rmask(j,i,sr) *&
-                                                                flag
+                            sums_l(k,123,tn) = sums_l(k,123,tn) + nc(k,j,i) * rmask(j,i,sr) * flag
                          ENDIF
                          IF ( microphysics_ice_phase )  THEN
-                            sums_l(k,124,tn) = sums_l(k,124,tn) + ni(k,j,i) *  &
-                                                                rmask(j,i,sr) *&
-                                                                flag
-                            sums_l(k,125,tn) = sums_l(k,125,tn) + qi(k,j,i) *  &
-                                                                rmask(j,i,sr) *&
-                                                                flag
+                            sums_l(k,124,tn) = sums_l(k,124,tn) + ni(k,j,i) * rmask(j,i,sr) * flag
+                            sums_l(k,125,tn) = sums_l(k,125,tn) + qi(k,j,i) * rmask(j,i,sr) * flag
                          ENDIF
 
                          IF ( microphysics_seifert )  THEN
-                            sums_l(k,73,tn) = sums_l(k,73,tn) + nr(k,j,i) *    &
-                                                                rmask(j,i,sr) *&
-                                                                flag
-                            sums_l(k,74,tn) = sums_l(k,74,tn) + qr(k,j,i) *    &
-                                                                rmask(j,i,sr) *&
-                                                                flag
+                            sums_l(k,73,tn) = sums_l(k,73,tn) + nr(k,j,i) * rmask(j,i,sr) * flag
+                            sums_l(k,74,tn) = sums_l(k,74,tn) + qr(k,j,i) * rmask(j,i,sr) * flag
                          ENDIF
                       ENDIF
 
                    ELSE
-                      IF( .NOT. ws_scheme_sca .OR. sr /= 0 )  THEN
-                         pts = 0.5_wp * ( vpt(k,j,i)   - hom(k,1,44,sr) +      &
+                      IF( .NOT. ws_scheme_sca  .OR.  sr /= 0 )  THEN
+                         pts = 0.5_wp * ( vpt(k,j,i)   - hom(k,1,44,sr) +                          &
                                           vpt(k+1,j,i) - hom(k+1,1,44,sr) )
-                         sums_l(k,46,tn) = sums_l(k,46,tn) + pts * w(k,j,i) *  &
-                                              rho_air_zw(k) *                  &
-                                              heatflux_output_conversion(k) *  &
-                                                             rmask(j,i,sr)  *  &
-                                                             flag
-                      ELSE IF ( ws_scheme_sca .AND. sr == 0 )  THEN
-                         sums_l(k,46,tn) = ( ( 1.0_wp + 0.61_wp *              &
-                                               hom(k,1,41,sr) ) *              &
-                                             sums_l(k,17,tn) +                 &
-                                             0.61_wp * hom(k,1,4,sr) *         &
-                                             sums_l(k,49,tn)                   &
-                                           ) * heatflux_output_conversion(k) * &
-                                               flag
+                         sums_l(k,46,tn) = sums_l(k,46,tn) + pts * w(k,j,i) *                      &
+                                                             rho_air_zw(k)  *                      &
+                                                             heatflux_output_conversion(k) *       &
+                                                             rmask(j,i,sr)  * flag
+                      ELSE IF ( ws_scheme_sca  .AND.  sr == 0 )  THEN
+                         sums_l(k,46,tn) = ( ( 1.0_wp + 0.61_wp *                                  &
+                                               hom(k,1,41,sr) ) *                                  &
+                                             sums_l(k,17,tn) +                                     &
+                                             0.61_wp * hom(k,1,4,sr) *                             &
+                                             sums_l(k,49,tn)                                       &
+                                           ) * heatflux_output_conversion(k) * flag
                       END IF
                    END IF
@@ -1468,10 +1374,8 @@
 !
 !--             Passive scalar flux
-                IF ( passive_scalar .AND. ( .NOT. ws_scheme_sca                &
-                     .OR. sr /= 0 ) )  THEN
-                   pts = 0.5_wp * ( s(k,j,i)   - hom(k,1,115,sr) +             &
+                IF ( passive_scalar  .AND.  ( .NOT. ws_scheme_sca .OR. sr /= 0 ) )  THEN
+                   pts = 0.5_wp * ( s(k,j,i)   - hom(k,1,115,sr) +                                 &
                                     s(k+1,j,i) - hom(k+1,1,115,sr) )
-                   sums_l(k,114,tn) = sums_l(k,114,tn) + pts * w(k,j,i) *      &
-                                                       rmask(j,i,sr) * flag
+                   sums_l(k,114,tn) = sums_l(k,114,tn) + pts * w(k,j,i) * rmask(j,i,sr) * flag
                 ENDIF
 #endif
@@ -1481,9 +1385,9 @@
 !--             has to be adjusted
                 !$ACC ATOMIC
-                sums_l(k,37,tn) = sums_l(k,37,tn) + w(k,j,i) * 0.5_wp *        &
-                                             ( ust**2 + vst**2 + w(k,j,i)**2 ) &
-                                           * rho_air_zw(k)                     &
-                                           * momentumflux_output_conversion(k) &
-                                           * rmask(j,i,sr) * flag
+                sums_l(k,37,tn) = sums_l(k,37,tn) + w(k,j,i) * 0.5_wp *                            &
+                                                    ( ust**2 + vst**2 + w(k,j,i)**2 )              &
+                                                    * rho_air_zw(k)                                &
+                                                    * momentumflux_output_conversion(k)            &
+                                                    * rmask(j,i,sr) * flag
              ENDDO
           ENDDO
@@ -1505,6 +1409,5 @@
              j = surf_lsm_h%j(m)
 
-             IF ( i >= nxl  .AND.  i <= nxr  .AND.                             &
-                  j >= nys  .AND.  j <= nyn )  THEN
+             IF ( i >= nxl  .AND.  i <= nxr  .AND.  j >= nys  .AND.  j <= nyn )  THEN
                 sums_l(nzb,93,tn)  = sums_l(nzb,93,tn) + surf_lsm_h%ghf(m)       * rmask(j,i,sr)
                 sums_l(nzb,94,tn)  = sums_l(nzb,94,tn) + surf_lsm_h%qsws_liq(m)  * rmask(j,i,sr)
@@ -1526,12 +1429,9 @@
              j = surf_lsm_h%j(m)
 
-             IF ( i >= nxl  .AND.  i <= nxr  .AND.                             &
-                  j >= nys  .AND.  j <= nyn )  THEN
+             IF ( i >= nxl  .AND.  i <= nxr  .AND.  j >= nys  .AND.  j <= nyn )  THEN
 
                 DO  k = nzb_soil, nzt_soil
-                   sums_l(k,89,tn)  = sums_l(k,89,tn)  + t_soil_h%var_2d(k,m)  &
-                                      * rmask(j,i,sr)
-                   sums_l(k,91,tn)  = sums_l(k,91,tn)  + m_soil_h%var_2d(k,m)  &
-                                      * rmask(j,i,sr)
+                   sums_l(k,89,tn)  = sums_l(k,89,tn)  + t_soil_h%var_2d(k,m) * rmask(j,i,sr)
+                   sums_l(k,91,tn)  = sums_l(k,91,tn)  + m_soil_h%var_2d(k,m) * rmask(j,i,sr)
                 ENDDO
              ENDIF
@@ -1540,6 +1440,6 @@
        ENDIF
 !
-!--    For speed optimization fluxes which have been computed in part directly
-!--    inside the WS advection routines are treated seperatly
+!--    For speed optimization fluxes which have been computed in part directly inside the WS
+!--    advection routines are treated seperatly.
 !--    Momentum fluxes first:
 
@@ -1553,30 +1453,27 @@
                 DO  k = nzb, nzt
 !
-!--                Flag 23 is used to mask surface fluxes as well as model-top
-!--                fluxes, which are added further below.
-                   flag = MERGE( 1.0_wp, 0.0_wp,                               &
-                                 BTEST( wall_flags_total_0(k,j,i), 23 ) ) *    &
-                          MERGE( 1.0_wp, 0.0_wp,                               &
-                                 BTEST( wall_flags_total_0(k,j,i), 9  ) )
-
-                   ust = 0.5_wp * ( u(k,j,i)   - hom(k,1,1,sr) +               &
+!--                Flag 23 is used to mask surface fluxes as well as model-top fluxes, which are
+!--                added further below.
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 23 ) ) *        &
+                          MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 9  ) )
+
+                   ust = 0.5_wp * ( u(k,j,i)   - hom(k,1,1,sr) +                                   &
                                     u(k+1,j,i) - hom(k+1,1,1,sr) )
-                   vst = 0.5_wp * ( v(k,j,i)   - hom(k,1,2,sr) +               &
+                   vst = 0.5_wp * ( v(k,j,i)   - hom(k,1,2,sr) +                                   &
                                     v(k+1,j,i) - hom(k+1,1,2,sr) )
 !
 !--                Momentum flux w*u*
-                   sums_l(k,13,tn) = sums_l(k,13,tn) + 0.5_wp *                &
-                                                     ( w(k,j,i-1) + w(k,j,i) ) &
-                                           * rho_air_zw(k)                     &
-                                           * momentumflux_output_conversion(k) &
-                                                     * ust * rmask(j,i,sr)     &
+                   sums_l(k,13,tn) = sums_l(k,13,tn) + 0.5_wp *                                    &
+                                                     ( w(k,j,i-1) + w(k,j,i) )                     &
+                                                     * rho_air_zw(k)                               &
+                                                     * momentumflux_output_conversion(k)           &
+                                                     * ust * rmask(j,i,sr)                         &
                                                            * flag
 !
 !--                Momentum flux w*v*
-                   sums_l(k,15,tn) = sums_l(k,15,tn) + 0.5_wp *                &
-                                                     ( w(k,j-1,i) + w(k,j,i) ) &
-                                           * rho_air_zw(k)                     &
-                                           * momentumflux_output_conversion(k) &
-                                                     * vst * rmask(j,i,sr)     &
+                   sums_l(k,15,tn) = sums_l(k,15,tn) + 0.5_wp * ( w(k,j-1,i) + w(k,j,i) )          &
+                                                     * rho_air_zw(k)                               &
+                                                     * momentumflux_output_conversion(k)           &
+                                                     * vst * rmask(j,i,sr)                         &
                                                            * flag
                 ENDDO
@@ -1590,29 +1487,26 @@
              DO  j = nys, nyn
                 DO  k = nzb, nzt
-                   flag = MERGE( 1.0_wp, 0.0_wp,                               &
-                                 BTEST( wall_flags_total_0(k,j,i), 23 ) ) *    &
-                          MERGE( 1.0_wp, 0.0_wp,                               &
-                                 BTEST( wall_flags_total_0(k,j,i), 9  ) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 23 ) ) *        &
+                          MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 9  ) )
 !
 !--                Vertical heat flux
-                   sums_l(k,17,tn) = sums_l(k,17,tn) + 0.5_wp *                &
-                           ( pt(k,j,i)   - hom(k,1,4,sr) +                     &
-                             pt(k+1,j,i) - hom(k+1,1,4,sr) )                   &
-                           * rho_air_zw(k)                                     &
-                           * heatflux_output_conversion(k)                     &
-                           * w(k,j,i) * rmask(j,i,sr) * flag
+                   sums_l(k,17,tn) = sums_l(k,17,tn) + 0.5_wp *                                    &
+                                     ( pt(k,j,i)   - hom(k,1,4,sr) +                               &
+                                       pt(k+1,j,i) - hom(k+1,1,4,sr) )                             &
+                                     * rho_air_zw(k)                                               &
+                                     * heatflux_output_conversion(k)                               &
+                                     * w(k,j,i) * rmask(j,i,sr) * flag
                    IF ( humidity )  THEN
-                      pts = 0.5_wp * ( q(k,j,i)   - hom(k,1,41,sr) +           &
-                                      q(k+1,j,i) - hom(k+1,1,41,sr) )
-                      sums_l(k,49,tn) = sums_l(k,49,tn) + pts * w(k,j,i) *     &
-                                       rho_air_zw(k) *                         &
-                                       waterflux_output_conversion(k) *        &
-                                       rmask(j,i,sr) * flag
+                      pts = 0.5_wp * ( q(k,j,i)   - hom(k,1,41,sr) +                               &
+                                       q(k+1,j,i) - hom(k+1,1,41,sr) )
+                      sums_l(k,49,tn) = sums_l(k,49,tn) + pts * w(k,j,i) *                         &
+                                                          rho_air_zw(k)  *                         &
+                                                          waterflux_output_conversion(k) *         &
+                                                          rmask(j,i,sr)  * flag
                    ENDIF
                    IF ( passive_scalar )  THEN
-                      pts = 0.5_wp * ( s(k,j,i)   - hom(k,1,115,sr) +           &
-                                      s(k+1,j,i) - hom(k+1,1,115,sr) )
-                      sums_l(k,114,tn) = sums_l(k,114,tn) + pts * w(k,j,i) *    &
-                                        rmask(j,i,sr) * flag
+                      pts = 0.5_wp * ( s(k,j,i)   - hom(k,1,115,sr) +                              &
+                                       s(k+1,j,i) - hom(k+1,1,115,sr) )
+                      sums_l(k,114,tn) = sums_l(k,114,tn) + pts * w(k,j,i) *  rmask(j,i,sr) * flag
                    ENDIF
                 ENDDO
@@ -1630,10 +1524,9 @@
 
 !
-!--    Divergence of vertical flux of resolved scale energy and pressure
-!--    fluctuations as well as flux of pressure fluctuation itself (68).
+!--    Divergence of vertical flux of resolved scale energy and pressure fluctuations as well as
+!--    flux of pressure fluctuation itself (68).
 !--    First calculate the products, then the divergence.
 !--    Calculation is time consuming. Do it only, if profiles shall be plotted.
-       IF ( hom(nzb+1,2,55,0) /= 0.0_wp  .OR.  hom(nzb+1,2,68,0) /= 0.0_wp )   &
-       THEN
+       IF ( hom(nzb+1,2,55,0) /= 0.0_wp  .OR.  hom(nzb+1,2,68,0) /= 0.0_wp )  THEN
           sums_ll = 0.0_wp  ! local array
 
@@ -1644,14 +1537,14 @@
                    flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
-                   sums_ll(k,1) = sums_ll(k,1) + 0.5_wp * w(k,j,i) * (         &
-                  ( 0.25_wp * ( u(k,j,i)+u(k+1,j,i)+u(k,j,i+1)+u(k+1,j,i+1) )  &
-                            - 0.5_wp * ( hom(k,1,1,sr) + hom(k+1,1,1,sr) ) )**2&
-                + ( 0.25_wp * ( v(k,j,i)+v(k+1,j,i)+v(k,j+1,i)+v(k+1,j+1,i) )  &
-                            - 0.5_wp * ( hom(k,1,2,sr) + hom(k+1,1,2,sr) ) )**2&
-                + w(k,j,i)**2                                        ) * flag * rmask(j,i,sr)
-
-                   sums_ll(k,2) = sums_ll(k,2) + 0.5_wp * w(k,j,i)             &
-                                       * ( ( p(k,j,i) + p(k+1,j,i) )           &
-                                         / momentumflux_output_conversion(k) ) &
+                   sums_ll(k,1) = sums_ll(k,1) + 0.5_wp * w(k,j,i) * (                             &
+                                    ( 0.25_wp * ( u(k,j,i)+u(k+1,j,i)+u(k,j,i+1)+u(k+1,j,i+1) )    &
+                                              - 0.5_wp * ( hom(k,1,1,sr) + hom(k+1,1,1,sr) ) )**2  &
+                                  + ( 0.25_wp * ( v(k,j,i)+v(k+1,j,i)+v(k,j+1,i)+v(k+1,j+1,i) )    &
+                                              - 0.5_wp * ( hom(k,1,2,sr) + hom(k+1,1,2,sr) ) )**2  &
+                                  + w(k,j,i)**2                      ) * flag * rmask(j,i,sr)
+
+                   sums_ll(k,2) = sums_ll(k,2) + 0.5_wp * w(k,j,i)                                 &
+                                       * ( ( p(k,j,i) + p(k+1,j,i) )                               &
+                                         / momentumflux_output_conversion(k) )                     &
                                        * flag * rmask(j,i,sr)
 
@@ -1677,6 +1570,5 @@
 !
 !--    Divergence of vertical flux of SGS TKE and the flux itself (69)
-       IF ( hom(nzb+1,2,57,0) /= 0.0_wp  .OR.  hom(nzb+1,2,69,0) /= 0.0_wp )   &
-       THEN
+       IF ( hom(nzb+1,2,57,0) /= 0.0_wp  .OR.  hom(nzb+1,2,69,0) /= 0.0_wp )  THEN
           !$OMP DO
           DO  i = nxl, nxr
@@ -1686,13 +1578,14 @@
                    flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
-                   sums_l(k,57,tn) = sums_l(k,57,tn) - 0.5_wp * (              &
-                   (km(k,j,i)+km(k+1,j,i)) * (e(k+1,j,i)-e(k,j,i)) * ddzu(k+1) &
-                 - (km(k-1,j,i)+km(k,j,i)) * (e(k,j,i)-e(k-1,j,i)) * ddzu(k)   &
-                                                                ) * ddzw(k)    &
+                   sums_l(k,57,tn) = sums_l(k,57,tn) - 0.5_wp * (                                  &
+                                       (km(k,j,i)+km(k+1,j,i)) * (e(k+1,j,i)-e(k,j,i)) * ddzu(k+1) &
+                                     - (km(k-1,j,i)+km(k,j,i)) * (e(k,j,i)-e(k-1,j,i)) * ddzu(k)   &
+                                                                ) * ddzw(k)                        &
                                                                   * flag * rmask(j,i,sr)
 
-                   sums_l(k,69,tn) = sums_l(k,69,tn) - 0.5_wp * (              &
-                   (km(k,j,i)+km(k+1,j,i)) * (e(k+1,j,i)-e(k,j,i)) * ddzu(k+1) &
-                                                                )  * flag * rmask(j,i,sr)
+                   sums_l(k,69,tn) = sums_l(k,69,tn) - 0.5_wp * (                                  &
+                                        ( km(k,j,i) + km(k+1,j,i) ) *                              &
+                                        ( e(k+1,j,i) - e(k,j,i) ) * ddzu(k+1)                      &
+                                                                ) * flag * rmask(j,i,sr)
 
                 ENDDO
@@ -1716,32 +1609,30 @@
 !
 !--                Subgrid horizontal heat fluxes u"pt", v"pt"
-                   sums_l(k,58,tn) = sums_l(k,58,tn) - 0.5_wp *                &
-                                                   ( kh(k,j,i) + kh(k,j,i-1) ) &
-                                                 * ( pt(k,j,i-1) - pt(k,j,i) ) &
-                                               * rho_air_zw(k)                 &
-                                               * heatflux_output_conversion(k) &
-                                                 * ddx * rmask(j,i,sr) * flag
-                   sums_l(k,61,tn) = sums_l(k,61,tn) - 0.5_wp *                &
-                                                   ( kh(k,j,i) + kh(k,j-1,i) ) &
-                                                 * ( pt(k,j-1,i) - pt(k,j,i) ) &
-                                               * rho_air_zw(k)                 &
-                                               * heatflux_output_conversion(k) &
-                                                 * ddy * rmask(j,i,sr) * flag
+                   sums_l(k,58,tn) = sums_l(k,58,tn) - 0.5_wp *                                    &
+                                                        ( kh(k,j,i) + kh(k,j,i-1) )                &
+                                                      * ( pt(k,j,i-1) - pt(k,j,i) )                &
+                                                      * rho_air_zw(k)                              &
+                                                      * heatflux_output_conversion(k)              &
+                                                      * ddx * rmask(j,i,sr) * flag
+                   sums_l(k,61,tn) = sums_l(k,61,tn) - 0.5_wp *                                    &
+                                                        ( kh(k,j,i) + kh(k,j-1,i) )                &
+                                                      * ( pt(k,j-1,i) - pt(k,j,i) )                &
+                                                      * rho_air_zw(k)                              &
+                                                      * heatflux_output_conversion(k)              &
+                                                      * ddy * rmask(j,i,sr) * flag
 !
 !--                Resolved horizontal heat fluxes u*pt*, v*pt*
-                   sums_l(k,59,tn) = sums_l(k,59,tn) +                         &
-                                                  ( u(k,j,i) - hom(k,1,1,sr) ) &
-                                    * 0.5_wp * ( pt(k,j,i-1) - hom(k,1,4,sr) + &
-                                                 pt(k,j,i)   - hom(k,1,4,sr) ) &
-                                               * heatflux_output_conversion(k) &
-                                               * flag
-                   pts = 0.5_wp * ( pt(k,j-1,i) - hom(k,1,4,sr) +              &
+                   sums_l(k,59,tn) = sums_l(k,59,tn) +              ( u(k,j,i) - hom(k,1,1,sr) )   &
+                                                      * 0.5_wp * ( pt(k,j,i-1) - hom(k,1,4,sr) +   &
+                                                                   pt(k,j,i)   - hom(k,1,4,sr) )   &
+                                                                 * heatflux_output_conversion(k)   &
+                                                                 * flag
+                   pts = 0.5_wp * ( pt(k,j-1,i) - hom(k,1,4,sr) +                                  &
                                     pt(k,j,i)   - hom(k,1,4,sr) )
-                   sums_l(k,62,tn) = sums_l(k,62,tn) +                         &
-                                                  ( v(k,j,i) - hom(k,1,2,sr) ) &
-                                    * 0.5_wp * ( pt(k,j-1,i) - hom(k,1,4,sr) + &
-                                                 pt(k,j,i)   - hom(k,1,4,sr) ) &
-                                               * heatflux_output_conversion(k) &
-                                               * flag
+                   sums_l(k,62,tn) = sums_l(k,62,tn) +              ( v(k,j,i) - hom(k,1,2,sr) )   &
+                                                      * 0.5_wp * ( pt(k,j-1,i) - hom(k,1,4,sr) +   &
+                                                                   pt(k,j,i)   - hom(k,1,4,sr) )   &
+                                                                 * heatflux_output_conversion(k)   &
+                                                                 * flag
                 ENDDO
              ENDDO
